> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get customer documents



## OpenAPI

````yaml get /v1/customers/{id}/documents
openapi: 3.0.0
info:
  title: Corebanq - Customers API
  description: API endpoints for customer management
  version: 1.0.0
servers: []
security: []
paths:
  /v1/customers/{id}/documents:
    get:
      summary: Get customer documents
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: List of customer documents
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DocumentResponse'
components:
  schemas:
    DocumentResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
        number:
          type: string
        expiry_date:
          type: string
        country:
          type: string
        status:
          type: string
        uploaded_at:
          type: string
          format: date-time

````